# 接口测试

nohup java -jar tsl_data-1.5-exec.jar >output.log 2>&1 &

nohup java -jar dingtalk_auto-1.1-exec.jar >output.log 2>&1 &

## 手动发送

```http
POST http://192.168.31.182:11111/tsl/task/send HTTP/1.1
Content-Type:application/json

20230703
```

## 数据手动入库

```http
POST http://192.168.10.7:29100/tsl/task/warahouse HTTP/1.1
Content-Type:application/json

20230522
```

## 手动生成报表

```http
POST http://192.168.10.7:29100/tsl/task/report/generate HTTP/1.1
Content-Type:application/json

20230703
```

## 查询数据

```http
POST http://192.168.10.7:29100/tsl/task/check/srcfile HTTP/1.1
Content-Type:application/json

20230531
```

## 定时任务

### 查询定时任务

```http
POST http://127.0.0.1:29100/tsl/task/cron/status HTTP/1.1
Content-Type:application/json
```

### 停止定时任务

```http
POST http://192.168.10.7:29100/tsl/task/cron/stop HTTP/1.1
Content-Type:application/json
```

### 启动定时任务

```http
POST http://192.168.10.7:29100/tsl/task/cron/start HTTP/1.1
Content-Type:application/json
```

### 修改定时表达式

```http
POST http://127.0.0.1:29100/tsl/task/cron/expression HTTP/1.1
Content-Type:application/json

0/25 * * * 
```
