package com.nokia.tsl_data.dao;

import java.util.List;
import java.util.Map;

import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Select;

@Mapper
public interface UserCountDao {

    /**
     * 按月查询管理端用户数
     * 
     * @param monthId
     * @return
     */
    @Select("select city_name, management_user_count from report_auto.user_count where month_id = #{monthId}")
    List<Map<String, Object>> selectMangementUserCountForMonth(String monthId);

    /**
     * 按月查询客户端用户数
     * 
     * @param monthId
     * @return
     */
    @Select("select city_name, customer_user_count from report_auto.user_count where month_id = #{monthId}")
    List<Map<String, Object>> selectCustomerUserCountForMonth(String monthId);
}
