package com.nokia.tsl_data;

import java.util.List;
import java.util.Map;

import org.junit.jupiter.api.Test;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.context.SpringBootTest;

import com.nokia.tsl_data.dao.TslDao;
import com.nokia.tsl_data.service.TslDataService;
import com.nokia.tsl_data.service.TslTaskService;

@SpringBootTest
public class TslDataApplicationTest {

    @Autowired
    private TslDataService service;

    @Test
    void test() {
        List<List<List<Object>>> sheet1Data = service.getSheet4_6Data("20230701");
        System.out.println(sheet1Data);
    }

    @Autowired
    private TslTaskService tslTaskService;

    @Test
    void test1() {
        tslTaskService.reportGenerateTask("20230627");
    }

    @Autowired
    private TslDao tslDao;

    @Test
    void test2() {
        List<Map<String, Object>> selectClientRatioForDay = tslDao.selectClientRatioForDay("2023-07-03");
        System.out.println(selectClientRatioForDay);
    }

}
